Subject: reflog doesn't note that commit was --amend-ed, and doesn't record pulls

From: Jakub Narebski <[email-masked]>
Date: Mon, 10 Jul 2006 23:49:06 +0200

Additionally, while reflog records git-reset invocations, it doesn't
distinguish between an ordinary commit, and commit --amend (which I do
a lot, most time because of forgotten update-index; yes, I know about commit
-a option ;-). Well, you can extract this information looking at current
and previous commit sha1, but it would be nice to have it noted somewhat in
message part of reflog.

Reflog doesn't seem also to record pulls (e.g. master branch): pulls has
empty reflog message part.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git